<!-- OneTrust Cookies Consent Notice start -->
<script src="https://cdn.cookielaw.org/consent/7f944245-c5cd-4eed-a90e-dd955adfdd08/OtAutoBlock.js"></script>
<script src="https://cdn.cookielaw.org/scripttemplates/otSDKStub.js" charset="UTF-8" data-domain-script="7f944245-c5cd-4eed-a90e-dd955adfdd08"></script>
<script type="text/javascript">
  function OptanonWrapper() { }
</script>
<!-- OneTrust Cookies Consent Notice end -->

<!-- Prevent images from being auto-blocked by OneTrust.
See https://gitlab.com/gitlab-org/gitlab-docs/-/issues/1750 -->
<script>
  const callback = (mutationsList, observer) => {
    for (const mutation of mutationsList) {
      if (mutation.type === 'childList') {
        mutation.addedNodes.forEach((node) => {
          if (node.nodeName === 'IMG') {
            document.querySelectorAll('img:not([src^="http"]):not([data-ot-ignore])').forEach((image) => {
                image.setAttribute('data-ot-ignore', '');
            });
          }
        });
      }
    }
  };
  const config = { attributes: true, childList: true, subtree: true, attributeFilter: ['src'] };
  const observer = new MutationObserver(callback);
  observer.observe(document.documentElement, config);
</script>

<script>
  /**
   * Use OneTrust Geolocation to block GA in certain countries.
   * See https://gitlab.com/gitlab-com/marketing/digital-experience/buyer-experience/-/issues/1618
   */

  // Configuration for Google Tag Manager
  window.dataLayer = window.dataLayer || [];
  function gtag(){dataLayer.push(arguments);}

  gtag('js', new Date());
  gtag('config', 'GTM-NJXWQL');
  gtag('consent', 'default', {
    'analytics_storage': 'granted',
    'ad_storage': 'granted',
    'functionality_storage': 'granted',
    'wait_for_update': 500
  });
  gtag('consent', 'default', {
    'analytics_storage': 'denied',
    'ad_storage': 'denied',
    'functionality_storage': 'denied',
    'region': ['AT', 'BE', 'BG', 'HR', 'CY', 'CZ', 'DK', 'EE', 'FI', 'FR', 'DE', 'GR', 'HU', 'IE', 'IT', 'LV', 'LT', 'LU', 'MT', 'NL', 'PL', 'PT', 'RO', 'SK', 'SI', 'ES', 'SE', 'IS', 'LI', 'NO', 'GB', 'PE', 'RU'],
    'wait_for_update': 500
  });

  window.geofeed = (options) => {
    dataLayer.push({
      'event' : 'OneTrustCountryLoad',
      'oneTrustCountryId': options.country.toString()
    })
  }
  const json = document.createElement('script');
  json.setAttribute('src', 'https://geolocation.onetrust.com/cookieconsentpub/v1/geo/location/geofeed');
  document.head.appendChild(json);
</script>
